> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# formratingstars

> MDO provider for the Ratings as used in forms

## "formratingstars" MDO List

MDO provider for the Ratings as used in forms

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RatingStarsProvider">RatingStarsProvider</see> class.
The name of the MDO list is 'formratingstars'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/formratingstars
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("formratingstars", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name   | StyleHint | ExtraInfo |
| -- | ------ | --------- | --------- |
| 0  | 1 Star |           |           |
| 1  | 2 Star |           |           |
| 2  | 3 Star |           |           |
| 3  | 4 Star |           |           |
| 4  | 5 Star |           |           |

## Related MDO Lists

* "formratingstarsheadings"
* "formratingstarsheadingswithallitem"
* "formratingstarsheadingswithallitemwithnoselection"
* "formratingstarsheadingswithnoselection"
* "formratingstarswithallitem"
* "formratingstarswithallitemwithnoselection"
* "formratingstarswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
